<?php
/**
 * Roundcube Plus Framework plugin.
 *
 * Copyright 2019, Tecorama LLC.
 *
 * @license Commercial. See the LICENSE file for details.
 */

require_once __DIR__ . "/common/Plugin.php";

class xframework extends XFramework\Plugin
{
    protected bool $hasConfig = false;

    /**
     * Override so we don't initialize this plugin in case the user mistakenly included it in the plugin list.
     */
    public function init()
    {
        if (!empty($this->unitTest)) {
            parent::init();
        }
    }
}
